#### D.11.4.6 npar

Procedure from library `findifs.lib` (see findifs_lib).

Usage:
  npar(n); n a number

Return:
  int

Purpose:
  searches for 'n' among the parameters and returns its number

Example:

    LIB "findifs.lib";
    ring r = (0,dh,dt,theta,A),t,dp;
    npar(dh);
    ==> 1
    number T = theta;
    npar(T);
    ==> 3
    npar(dh^2);
    ==> Incorrect parameter
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.